Bug 232190 - New port: japanese/sourcehanserif-otf Japanese font by Adobe designed for user interfaces
Summary: New port: japanese/sourcehanserif-otf Japanese font by Adobe designed for use...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://reviews.freebsd.org/D19382
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-11 23:35 UTC by Hyun Hwang
Modified: 2019-02-28 18:23 UTC (History)
2 users (show)

See Also:


Attachments
japanese_sourcehanserif-otf.shar (4.33 KB, text/plain)
2018-10-11 23:35 UTC, Hyun Hwang
no flags Details
japanese_sourcehanserif-otf.shar (4.35 KB, text/plain)
2018-10-19 22:30 UTC, Hyun Hwang
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hyun Hwang 2018-10-11 23:35:13 UTC
Created attachment 198048 [details]
japanese_sourcehanserif-otf.shar

Second of the Source Han Serif family. Passed `portlint -A` and other tests mentioned in the Porter's Handbook.
Comment 1 Hyun Hwang 2018-10-19 22:30:50 UTC
Created attachment 198390 [details]
japanese_sourcehanserif-otf.shar

Address minor issues found following the Chinese variants.
Comment 2 commit-hook freebsd_committer 2019-02-28 17:31:23 UTC
A commit references this bug:

Author: kai
Date: Thu Feb 28 17:30:38 UTC 2019
New revision: 494168
URL: https://svnweb.freebsd.org/changeset/ports/494168

Log:
  New port: japanese/sourcehanserif-otf Japanese font by Adobe designed for user interfaces

  Source Han Serif: The second Pan-CJK typeface family from Adobe

  This is Source Han Serif (JP), which supports all four variants in this family
  but prioritizes Japanese Kanji over other three.

  "Source Han Serif supports four different East Asian languages---Simplified
  Chinese, Traditional Chinese, Japanese, and Korean---and the 65,535 glyphs in
  each of its seven weights are designed to work together with a consistent design
  that emphasizes shared elements between the languages while honoring the
  diversity of each. Also included is a rich set of Western glyphs supporting the
  Latin, Greek, and Cyrillic scripts, which were derived from Source Serif."
  --- The Typekit, Adobe

  WWW: https://github.com/adobe-fonts/source-han-serif

  PR:		232190
  Submitted by:	Hyun Hwang <hyun@caffeinated.codes>
  Approved by:	miwi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19382

Changes:
  head/japanese/Makefile
  head/japanese/sourcehanserif-otf/
  head/japanese/sourcehanserif-otf/Makefile
  head/japanese/sourcehanserif-otf/distinfo
  head/japanese/sourcehanserif-otf/files/
  head/japanese/sourcehanserif-otf/files/pkg-message.in
  head/japanese/sourcehanserif-otf/pkg-descr
  head/japanese/sourcehanserif-otf/pkg-plist
Comment 3 Kai Knoblich freebsd_committer 2019-02-28 18:23:03 UTC
Committed, thank you for your contribution!